### Method

# Gimp Metadata serialize

#### Declaration [src]

    gchar*
    gimp_metadata_serialize (
      GimpMetadata* metadata
    )

#### Description [src]

Serializes `metadata` into an XML string that can later be deserialized using gimp_metadata_deserialize().

Available since: | 2.10

#### Return value

Returns: | `gchar*`
| The serialized XML string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.